### Method

# Fwupd Device set_update_state

since: 0.9.8

#### Declaration [src]

    void
    fwupd_device_set_update_state (
      FwupdDevice* self,
      FwupdUpdateState update_state
    )

#### Description [src]

Sets the update state.

Available since: 0.9.8

Sets property | `Fwupd.Device:update-state`

#### Parameters

`update_state`

  Type: `FwupdUpdateState`

  The state, e.g. `FWUPD_UPDATE_STATE_PENDING`.